﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XDGComboDependentValues
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ViewModel vm = new ViewModel();
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = vm;
        }

        bool fromDataChange = false;
        private void XamDataGrid_DataValueChanged(object sender, Infragistics.Windows.DataPresenter.Events.DataValueChangedEventArgs e)
        {
            if (!fromDataChange)
            {
                SampleData sd = e.Record.DataItem as SampleData;

                if (e.Field.Name == "Combo1")
                {
                    fromDataChange = true;
                    string cmb1 = sd.Combo1;
                    int index = vm.ComboData1.IndexOf(cmb1);
                    sd.Combo2 = vm.ComboData2[index];
                }
                else if (e.Field.Name == "Combo2")
                {
                    fromDataChange = true;
                    string cmb2 = sd.Combo2;
                    int index = vm.ComboData2.IndexOf(cmb2);
                    sd.Combo1 = vm.ComboData1[index];
                }
            }
            else
            {
                fromDataChange = false;
            }
        }
    }
}
